| Home | Libraries | People | FAQ | More

##### flat_static_buffer_base::flat_static_buffer_base

Constructor.

###### Synopsis

    flat_static_buffer_base(
        void* p,
        std::size_t n);

###### Description

This creates a dynamic buffer using the provided storage area.

###### Parameters

Name | Description
--- | ---
`p` | A pointer to valid storage of at least `n` bytes.
`n` | The number of valid bytes pointed to by `p`.